﻿/* Edit Mode of flex grid */
.flexEdit { width: 100%; box-sizing: border-box; -webkit-box-sizing:border-box; -moz-box-sizing: border-box; }
.hidden{visibility: hidden;display: none;}
.infoNote{color: #666;font: 10px Arial,Helvetica,sans-serif;}
.underline{text-decoration: underline;}
.clear{clear: both;}

input[type=text], textarea
{
    -webkit-transition: all 0.30s ease-in-out;
    -moz-transition: all 0.30s ease-in-out;
    -ms-transition: all 0.30s ease-in-out;
    -o-transition: all 0.30s ease-in-out;
    outline: none;
    border: 1px solid #DDDDDD;
}
        
input[type=text]:focus, textarea:focus
{
    box-shadow: 0 0 5px rgba(81, 203, 238, 1);
    border: 1px solid rgba(81, 203, 238, 1);
}
    
.ui-autocomplete
{
    max-height: 300px;
    overflow-y: auto; /* prevent horizontal scrollbar */
    overflow-x: hidden; /* add padding to account for vertical scrollbar */
    padding-right: 0px;
    background-color: #fff;
}
        
.ui-autocomplete .ui-menu-item
{
    font-size: smaller;
    background-color: #fff;
}
        
.ui-autocomplete li
{
    text-align: left;
}

/* This is needed to hide the jquery helper message that displays N records found message in the autoComplete plugin */
.ui-helper-hidden-accessible 
{    
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

/* END EDIT MODE */ 

/* These are for the pages using flex controls */
.smallText
{
    width: 100px;
    display: inline;
    font-weight: bold;
    font-size: 8pt;
    float: left;
    padding-bottom: 4px;
}
.largeText
{
    width: 150px;
    display: inline;
    font-weight: bold;
    float: left;
    padding-bottom: 4px;
}
    
.divContainer
{
    padding-bottom: 4px;
}
    
.heading
{
    color: #fff;
    background-color: #013E5F;
    border-color: #38a27f;
    font-size: small;
    padding: 5px;
    margin-bottom: 5px;
    width: 90%;
}

/* These are for the grids using flex controls */

.flexTable {
  max-width: 100%;
  background-color: transparent;
  width: 100%;
  margin: 0px; 
  padding: 0;
}

.flexTable > th {
  text-align: left;
}

/* hack for IE - add a span element and add this class to it */
.gridFont { font-family:Verdana; font-weight:lighter; font-size:x-small; } 

.flexTable {
  background-color: #fff;
}

.flexTable tr > td,
.flexTable tr > th,
.flexTable thead > tr > th,
.flexTable tbody > tr > th,
.flexTable tfoot > tr > th,
.flexTable thead > tr > td,
.flexTable tbody > tr > td,
.flexTable tfoot > tr > td {
  padding: 8px;
  line-height: 1.5;
  vertical-align: top;
  border-top: 1px solid #ddd;  
}

/* This style will be called by the UI and will set the widths to auto and no wrapping */
table.noWrapCell tr > td,
table.noWrapCell tr > th
{
  white-space: nowrap; 
}

.flexTable tr > th,
.flexTable thead > tr > th, 
.flexTable thead > tr > th > a {
  vertical-align: bottom;
  border-bottom: 1px solid #ddd;    
}


.flexTable-condensed tr > th,
.flexTable-condensed tr > td,
.flexTable-condensed thead > tr > th,
.flexTable-condensed tbody > tr > th,
.flexTable-condensed tfoot > tr > th,
.flexTable-condensed thead > tr > td,
.flexTable-condensed tbody > tr > td,
.flexTable-condensed tfoot > tr > td {
  padding: 5px;
}

.flexTable-bordered {
  border: 1px solid #ddd;
}

.flexTable-bordered tr > th,
.flexTable-bordered tr > td,
.flexTable-bordered thead > tr > th,
.flexTable-bordered tbody > tr > th,
.flexTable-bordered tfoot > tr > th,
.flexTable-bordered thead > tr > td,
.flexTable-bordered tbody > tr > td,
.flexTable-bordered tfoot > tr > td {
  border: 1px solid #ddd;
  border-bottom-width: 2px;
}

.flexTable-striped tr:nth-child(odd) > td,
.flexTable-striped tr:nth-child(odd) > th,
.flexTable-striped tbody > tr:nth-child(odd) > td,
.flexTable-striped tbody > tr:nth-child(odd) > th {
  background-color: #f9f9f9;
}
.flexTable-hover > tbody > tr:hover > td,
.flexTable-hover > tbody > tr:hover > th {
  background-color: #f5f5f5;
}

.flexTable col[class*="col-"] {
  position: static;
  display: table-column;
  float: none;
}

.flexTable td[class*="col-"],
.flexTable th[class*="col-"] {
  position: static;
  display: table-cell;
  float: none;
}

/* active cell highlight */
.flexTable > thead > tr > td.active,
.flexTable > tbody > tr > td.active,
.flexTable > tfoot > tr > td.active,
.flexTable > thead > tr > th.active,
.flexTable > tbody > tr > th.active,
.flexTable > tfoot > tr > th.active,
.flexTable > thead > tr.active > td,
.flexTable > tbody > tr.active > td,
.flexTable > tfoot > tr.active > td,
.flexTable > thead > tr.active > th,
.flexTable > tbody > tr.active > th,
.flexTable > tfoot > tr.active > th {
  background-color: #f5f5f5;
}

/* hover cell highlight */
.flexTable-hover > tbody > tr > td.active:hover,
.flexTable-hover > tbody > tr > th.active:hover,
.flexTable-hover > tbody > tr.active:hover > td,
.flexTable-hover > tbody > tr.active:hover > th {
  background-color: #e8e8e8;
}
